commit a04bd36273c9cedc168b655eb10c16eb96608201
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Fri Oct 2 22:14:06 2020 +0100

    libstdc++: Change test to work without 64-bit atomics
    
    This fixes a linker error for older ARM cores without 64-bit atomics.
    
    libstdc++-v3/ChangeLog:
    
            * testsuite/29_atomics/atomic_float/value_init.cc: Use float
            instead of double so that __atomic_load_8 isn't needed.
    
    (cherry picked from commit 324118378e4e26d9c0f86734af26538491c5c5fc)

diff --git a/libstdc++-v3/testsuite/29_atomics/atomic_float/value_init.cc b/libstdc++-v3/testsuite/29_atomics/atomic_float/value_init.cc
index 237c0dd13ed..98c6b0c7d01 100644
--- a/libstdc++-v3/testsuite/29_atomics/atomic_float/value_init.cc
+++ b/libstdc++-v3/testsuite/29_atomics/atomic_float/value_init.cc
@@ -21,13 +21,13 @@
 #include <atomic>
 #include <testsuite_hooks.h>
 
-constexpr std::atomic<double> a;
+constexpr std::atomic<float> a;
 
 void
 test01()
 {
   VERIFY(a.load() == 0);
-  static_assert(std::is_nothrow_default_constructible_v<std::atomic<double>>);
+  static_assert(std::is_nothrow_default_constructible_v<std::atomic<float>>);
 }
 
 int

